# svn_repos_parse_fns_t Struct Reference
[Dumping and loading filesystem data]

A vtable that is driven by svn_repos_parse_dumpstream(). More...

`#include <svn_repos.h>`

## Data Fields
svn_error_t *(* | new_revision_record )(void **revision_baton, apr_hash_t *headers, void *parse_baton, apr_pool_t *pool)
| Same as svn_repos_parse_fns2_t.new_revision_record.
svn_error_t *(* | uuid_record )(const char *uuid, void *parse_baton, apr_pool_t *pool)
| Same as svn_repos_parse_fns2_t.uuid_record.
svn_error_t *(* | new_node_record )(void **node_baton, apr_hash_t *headers, void *revision_baton, apr_pool_t *pool)
| Same as svn_repos_parse_fns2_t.new_node_record.
svn_error_t *(* | set_revision_property )(void *revision_baton, const char *name, const svn_string_t *value)
| Same as svn_repos_parse_fns2_t.set_revision_property.
svn_error_t *(* | set_node_property )(void *node_baton, const char *name, const svn_string_t *value)
| Same as svn_repos_parse_fns2_t.set_node_property.
svn_error_t *(* | remove_node_props )(void *node_baton)
| Same as svn_repos_parse_fns2_t.remove_node_props.
svn_error_t *(* | set_fulltext )(svn_stream_t **stream, void *node_baton)
| Same as svn_repos_parse_fns2_t.set_fulltext.
svn_error_t *(* | close_node )(void *node_baton)
| Same as svn_repos_parse_fns2_t.close_node.
svn_error_t *(* | close_revision )(void *revision_baton)
| Same as svn_repos_parse_fns2_t.close_revision.

## Detailed Description

A vtable that is driven by svn_repos_parse_dumpstream().

Similar to svn_repos_parse_fns2_t except that it lacks the delete_node_property and apply_textdelta callbacks.

Deprecated:
  Provided for backward compatibility with the 1.0 API.

Definition at line 2814 of file svn_repos.h.

## Field Documentation

svn_error_t*(* svn_repos_parse_fns_t::close_node)(void *node_baton)

Same as svn_repos_parse_fns2_t.close_node.

Definition at line 2844 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::close_revision)(void *revision_baton)

Same as svn_repos_parse_fns2_t.close_revision.

Definition at line 2846 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::new_node_record)(void **node_baton, apr_hash_t *headers, void *revision_baton, apr_pool_t *pool)

Same as svn_repos_parse_fns2_t.new_node_record.

Definition at line 2826 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::new_revision_record)(void **revision_baton, apr_hash_t *headers, void *parse_baton, apr_pool_t *pool)

Same as svn_repos_parse_fns2_t.new_revision_record.

Definition at line 2817 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::remove_node_props)(void *node_baton)

Same as svn_repos_parse_fns2_t.remove_node_props.

Definition at line 2839 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::set_fulltext)(svn_stream_t **stream, void *node_baton)

Same as svn_repos_parse_fns2_t.set_fulltext.

Definition at line 2841 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::set_node_property)(void *node_baton, const char *name, const svn_string_t *value)

Same as svn_repos_parse_fns2_t.set_node_property.

Definition at line 2835 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::set_revision_property)(void *revision_baton, const char *name, const svn_string_t *value)

Same as svn_repos_parse_fns2_t.set_revision_property.

Definition at line 2831 of file svn_repos.h.

svn_error_t*(* svn_repos_parse_fns_t::uuid_record)(const char *uuid, void *parse_baton, apr_pool_t *pool)

Same as svn_repos_parse_fns2_t.uuid_record.

Definition at line 2822 of file svn_repos.h.

The documentation for this struct was generated from the following file:

- svn_repos.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines